Subject: bug#13687: 24.3.50; `read-regexp' should provide regex for symbol at point as defaults

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 Feb 2013 10:41:06 -0500

>         http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11095
> `read-regexp' should provide regex for symbol at point as one of the
> defaults.  This should be the first of defaults while in any of the
> progmodes.

I disagree: read-regexp is a generic function which can be used in
various contexts, some of which might not care at all about the text
around point.  So the caller should have control over the first default
(of course, it's perfectly fine to always add the current tag in the
subsequent defaults).

This said your patch seems to leave the caller's provided `defaults' at
the beginning of the minibuffer's `defaults', so I think your patch is
fine, feel free to install it.

        Stefan